html, body {
    /* font-family: 'Lato', sans-serif; */
    font-family: "Cormorant Garamond", serif;
    /* font-family: "Barlow Semi Condensed", sans-serif;*/
    font-weight: 400;
    font-style: normal;
    font-size: 16px;
    color: #dbdbdb;
    background-color: #302e2f;
    margin: 0px 0px 0px 0px;
    height: 100%;
    -webkit-overflow-scrolling: touch;
    scroll-snap-type: y mandatory;
    /* overflow-x: hidden; */
}
.clearfix {
    overflow: auto;
}

.darkBackground {
    background: #302e2f;
 }

/* Z-Index Reference by Matteo Sacco
/*
/* Header 90 Height 35
/* Menubar 90 Height 60
/* DeviceMenu 90 Height 20
/* Main Area 10
/* Menu DropDown 20
/* LeftSide 15
/* Content Article -1
/* 

/* Background #302e2f or  #403e3f
/* Color Base #dbdbdb
/* Color Alt #cf987d

/* Zona Sezioni Vertical Scroll - Slider */

section.skill {
    scroll-snap-align: start;
    min-block-size: 100vh;
    max-block-size: 100vh;
    scroll-snap-stop: always;
    display: flex;
    /* align-items: center;*/
    justify-content: center;
    background: #302e2f;
}

    section.skill:nth-of-type(1) {
        background-image: url("../images/background_skill_01.jpg");
        background-size: cover;
    }
    section.skill:nth-of-type(2) {
        background-image: url("../images/background_skill_01.jpg");
        background-size: cover;
    }
    section.skill:nth-of-type(3) {
        background-image: url("../images/background_skill_01.jpg");
        background-size: cover;
    }
    section.skill:nth-of-type(4) {    
        background-image: url("../images/background_skill_01.jpg");
        background-size: cover;
    }
    section.skill:nth-of-type(5) {
        background-image: url("../images/background_skill_01.jpg");
        background-size: cover;
    }
    section.skill:nth-of-type(6) {
        background-image: url("../images/background_skill_01.jpg");
        background-size: cover;
    }
    section.skill:nth-of-type(7) {
        background-image: url("../images/background_skill_01.jpg");
        background-size: cover;
    }

/* Background Mobile (SKILL)*/
@media screen and (max-width: 800px) {
    section.skill:nth-of-type(1) {
        background-position-x: -400px;
    }
    section.skill:nth-of-type(2) {
        background-position-x: -400px;
    }
    section.skill:nth-of-type(3) {
        background-position-x: -600px;
    }
    section.skill:nth-of-type(4) {
        background-position-x: -400px;
    }
    section.skill:nth-of-type(5) {
        background-position-x: -400px;
    }
    section.skill:nth-of-type(6) {
        background-position-x: -400px;
    }
    section.skill:nth-of-type(7) {
        background-position-x: -400px;
    }
}

div.skill_grid {
    width:94%;
    padding: 1%;
    height: 540px;
    margin-top: 20%;
    margin-left: 1%;
    margin-right: 1%;
    /* background-color: #E1D4C1; */
    border: solid;
    /* border-color: rgba(255,255,255,0.9); */
    border-radius: 15px;
    border-width: 0px;
    opacity: 100%;
    overflow:hidden;
}

div.skill_grid_content {
    max-width: 560px;
    font-size: 1.7em;
    font-weight: 400;
    font-style: normal;
    word-spacing: -0.5px;
    /* color: #6E493A; */
    padding: 1%;
    display: inline-block;
    vertical-align:top;
    text-align:justify;
    border-width:0px;
    border-color:orange;
    border-style:solid;
}

div.skill_grid_content strong {
    font-weight: 900;
    font-size: 30px;
    line-height: 45px;
}

div.skill_grid_content img, video, iframe {
    width:480px;
    height:320px;
    background-color: black;
    text-decoration: none;
    border-color: #504e4f;
    border-style: solid;
    border-width: 1px;
    border-radius: 1cqmax;
    padding:0%;
    }

div.skill_grid_content a {
    text-decoration:none;
    color: orange;
    font-style:italic;
    font-weight:900;
    }
div.skill_grid_content a:hover {
        color: lightgoldenrodyellow;
    }

/* Area Schede e Skilss versione Mobile */
    @media screen and (max-width: 800px) {
        div.skill_grid_content img, video, iframe {
            width: 340px;
            height: 230px;
        }

        div.skill_grid_content strong {
            font-size: 25px;
            line-height: 25px;
        }

        div.skill_grid_content {
            font-size: 1.4em;
        }
    }

div.swipe img {
    width:150px;
    height:100px;
    position:fixed;
    right: 2px;
    bottom: 2px;
    opacity: 0.7;
    z-index: 90;
}
div.feedback {
    align-content: center;
    padding: 1%;
    margin: 1%;
    max-width: 310px;
    min-height: 350px;
    color: whitesmoke;
    border: solid;
    background: -o-linear-gradient(rgba(25, 10, 30,1), rgba(44, 25, 50,1)); /* For Opera 11.1 to 12.0 */
    background: -moz-linear-gradient(rgba(25, 10, 30,1), rgba(25, 10, 50,1)); /* For Firefox 3.6 to 15 */
    background: linear-gradient(rgba(25, 10, 30,1), rgba(25, 10, 50,1)); /* Standard syntax */
    border-radius: 15px;
    border-width: 1px;
    border-style: dashed;
    border-color: darkgray;
    opacity: 98%;
    display: inline-block;
    text-align: left;
    overflow: hidden;
}

div.feedback:nth-of-type(even) {
    background: -o-linear-gradient(rgba(05, 10, 20,1), rgba(04, 05, 50,1)); /* For Opera 11.1 to 12.0 */
    background: -moz-linear-gradient(rgba(05, 10, 20,1), rgba(05, 10, 50,1)); /* For Firefox 3.6 to 15 */
    background: linear-gradient(rgba(05, 10, 20,1), rgba(05, 10, 50,1)); /* Standard syntax */
}

div.feedback_maxon {
    font-weight: 900;
    font-style: italic;
    font-size: 25px;
    align-content: center;
    padding: 4%;
    color: whitesmoke;
    opacity: 98%;
    text-align: left;
    overflow: hidden;
}

/* Elementi DIV Layout al massimo layout */
div.customer_header {
    font-weight: 300;
    font-style: italic;
    font-size: 14px;
    color: #dbdbdb;
    opacity: 1;
    position: fixed;
    right: 0px;
    left: 0px;
    height: 35px;
    top: 0px;
    margin: 0px 0px 0px 0px;
    padding: 10px;
    border-style: solid;
    border-color: #302e2f;
    border-width: 0px 0px 1px 0px;
    background: -o-linear-gradient(#504e4f, #302e2f); /* For Opera 11.1 to 12.0 */
    background: -moz-linear-gradient(#504e4f, #302e2f); /* For Firefox 3.6 to 15 */
    background: linear-gradient(#504e4f, #302e2f); /* Standard syntax */
    z-index: 90;
}

    div.customer_header span {
        text-decoration: none;
        color:#dbdbdb;
    }

    div.customer_header span:hover {
        color: goldenrod;
    }

    div.customer_menubar {
        position: fixed;
        right: 0px;
        left: 0px;
        top: 35px;
        text-align: right;
        height: 60px;
        margin: 0px 0px 0px 0px;
        border-style: solid;
        border-color: #302e2f;
        border-width: 1px 0px 1px 0px;
        background-color: #302e2f;
        z-index: 90;
    }

    div.customer_device {
        display: none;
        position: fixed;
        right: 0px;
        left: 0px;
        top: 30px;
        height: 20px;
        padding: 0;
        background-color: #302e2f;
    }

    div.customer_device p {
        color: #dbdbdb;
        font-size: 22px;
        display: block;
        opacity: 0.9;
        padding: 0px;
        padding-left: 3%;
        margin-top: 5px;
        margin-bottom: 5px;
        text-align: left;
        }

    div.customer_device_icons {
        margin-left: 5px;
    }

    /* Intro Video and container by Matteo Sacco */

    div.customer_video {
        margin-top: 80px;
        margin-left: 0px;
        margin-right: 0px;
        margin-bottom: 0px;
        padding: 0px;
        border: 0px;
        text-decoration: none;
    }

        div.customer_video video {
            /* position: fixed;*/
            width: 100%;
            height: 100%;
            border-color: orange;
            border-style: dotted;
            border-width: 30px;
            padding: 0px;
            border: 0px;
        }

    /* Main area products and articles by Matteo Sacco */

    div.customer_main_area {
        top: 0px;
        bottom: 0px;
        margin: 0px 0px 0px 0px;
        height: 100%;
        padding: 0px;
        z-index: 10;
        background-size: cover;
        align-content: normal;
        text-align: center;
        background-image: url(../images/standard_background.png);
        background-size: cover;
        background-attachment: fixed;
        background-origin: padding-box;
        
    }

    div.customer_main_area h1 {
        overflow: hidden;
        color: #dbdbdb;
        text-align: left;
        word-wrap: break-word;
        border-radius: 5px;
    }

    div.customer_main_area h2 {
        position: fixed;
        text-align: center;
        margin: auto;
        left: 0%;
        top: 110px;
        opacity: 0.7;
        width: 250px;
        color: #cf987d;
            word-wrap: break-word;
            text-decoration: none;
            border-radius: 5px 5px 5px 0px;
            border-style: solid;
            border-width: thin;
            border-color: rgb(63, 86, 110);
            background-color: rgb(170, 107, 0);
            z-index: 80;
        }

        div.customer_main_area p {
            top: 120px;
            overflow: hidden;
            color: rgb(255, 255, 255);
            text-align: justify;
            word-wrap: break-word;
            border-radius: 5px;
        }

        div.customer_main_area iframe {
            padding: 2%;
            width: 90%;
            height: 90%;
        }

    div.gestione_immagini {
        text-align: center;
        }

    div.gestione_immagini img {
        text-decoration: none;
        height: 50px;
        padding: 5px;
        }

    div.customer_products_space {
        opacity: 0;
        min-height: 120px;
    }

    div.customer_products {
        overflow: hidden;
        display: inline-block;
        text-align: justify;
        vertical-align: top;
        margin-left: 1%;
        margin-right: 1%;
        padding: 2px;
        max-width: 300px;
        margin-bottom: 50px;
        text-decoration: none;
        border-radius: 10px;
        border-style: solid;
        border-width: thin;
        border-color: lightslategray;
        background-color: rgb(15, 18, 42);
    }

        div.customer_products:hover {
            border-color: rgb(111, 213, 229);
            background-color: rgb(31, 35, 71);
            -webkit-transition: background-color 500ms, border-color 500ms;
            transition: background-color 500ms, border-color 500ms;
        }

        div.customer_products h2 {
            position: relative;
            display: inline;
            margin: auto;
            text-align: center;
            width: 70px;
            height: 50px;
            padding: 2%;
            left: -5px;
            top: -2px;
            border-radius: 8px;
            border-style: solid;
            border-width: thin;
            border-color: lightslategray;
            background-color: rgb(255, 0, 0);
            color: #FFF;
        }

        div.customer_products p {
            position: relative;
            color: #f1f1f1;
            top: 0px;
            text-align: center;
            padding: 3px;
            margin: auto;
            border-radius: 0px;
            min-height: 30px;
            vertical-align: middle;
        }

        div.customer_products a {
            text-decoration: none;
            color: orange;
            font-weight:700;
            padding:5px;
            border-radius: 10px;
            border-style: solid;
            border-width: thin;
            border-color: lightslategray;
            background-color: rgb(15, 18, 42);
        }

        div.customer_products a:hover {
            text-decoration: none;
            color: orange;
            background-color: rgb(35, 48, 72);
        }

    div.products_container {
        overflow: hidden;
        width: 300px;
        max-height: 400px;
        background-color: antiquewhite;
        text-decoration: none;
    }

    div.customer_products img {
        width: 100%;
        display: block;
    }

        div.customer_products img:hover {
            transform: scale(1.5);
            transform-origin: 50% 50%;
            -webkit-transition: transform 900ms;
            transition: transform 900ms;
        }

    div.customer_footer {
        text-decoration: none;
        font-size: 22px;
        opacity: 0.9;
        text-align: center;
        position: fixed;
        bottom: 0;
        right: 5%;
        left: 5%;
        height: 70px;
        padding-left: 2%;
        padding-right: 2%;
        animation-name: intro;
        animation-iteration-count: 1;
        animation-delay: 2000ms;
        animation-duration: 20s;
        border-radius: 5px 5px 0px 0px;
        border-style: solid;
        border-color: #cf987d;
        border-width: 1px 1px 0px 1px;
        background-color: #302e2f;
        line-height: 0.5em;
    }

        div.customer_footer::-webkit-scrollbar {
            display: none;
        }

        div.customer_footer p {
            font-size: 24px;
            text-align: justify;
        }

        div.customer_footer img {
            width: 10%;
            padding-top: 1%;
            padding-bottom: 1%;
            text-align: center;
        }

            div.customer_footer h1 {
                font-size: 22px;
                color: white;
            }
            div.customer_footer h2 {
                font-size: 22px;
                color: darksalmon;
            }
    
        div.customer_footer h3 {
            top: 0px;
            font-family: arial;
            font-weight: lighter;
            font-size: 18px;
            line-height: 1.2em;
            color: lightgray;
        }

        div.customer_footer:hover {
            position: fixed;
            overflow: scroll;
            overflow-x: hidden;
            bottom: 0;
            right: 5%;
            left: 5%;
            border-style: solid;
            height: 300px; /* Full height */
            -webkit-transition: height 300ms;
            transition: height 300ms;
        }

    /* ------------------------------ */
    /* RICERCA         */
    /* ------------------------------ */

    div.customer_search {
        z-index: 150;
        position: absolute;
        display: flex;
        float: right;
        width: 30px;
        right: 35px;
        height: 22px;
        margin-top: -20px;
    }

        div.customer_search i {
            display: inline-table;
            padding-top: 2px;
            padding-left: 2px;
        }

        div.customer_search:hover {
            position: absolute;
            float: right;
            width: 250px;
            -webkit-transition: width 200ms;
            transition: width 200ms;
        }

        div.customer_search input {
            display: none;
            height: 20px;
            border-bottom: thin;
            border-bottom-color: gray;
            border-color: orange;
            border-radius: 0;
        }

        div.customer_search:hover input, input:focus {
            display: block;
            border-width: 0px 0px 1px 0px;
            border-style: outset;
            border-bottom-color: #0083FF;
            border-bottom-width: thin;
            background-color: white;
        }

    /* ------------------------------ */
    /* GOGLE MAPS        */
    /* ------------------------------ */

    div.googlemaps {
        position: absolute;
        display: inline;
        margin: auto;
        width: 100%;
        height: 80%;
        top: 90px;
        background-color: rgb(151, 169, 204);
    }

        div.googlemaps iframe {
            margin: auto;
            width: 100%;
            height: 100%;
            padding: 0%;
        }

    div.customer_intromobile {
        position: relative;
        opacity: 0.0;
        height: 0px;
        padding: 2%;
        margin: 2%;
    }

        div.customer_intromobile img {
            width: 25%;
        }

    /* ------------------------------------------------------------ */
    /* Browser ridimensionato MOBILE                                */
    /* ------------------------------------------------------------ */

    @media screen and (max-width: 800px) {
        div.customer_main_area {
            margin: 30px 0px 0px 0px;
            background: none;
        }

        div.customer_header {
            position: fixed;
            right: 0px;
            left: 0px;
            height: 35px;
            margin: 0px 0px 0px 0px;
            padding: 10px;
            border-style: solid;
            border-color: #403e3f;
            border-width: 0px 0px 2px 0px;
            background-color: #302e2f;
            z-index: 90;
        }

        div.customer_menubar {
            display: none;
            position: fixed;
            z-index: 90;
        }

        div.customer_device {
            font-weight: 700;
            display: inline;
            position: fixed;
            opacity: 1;
            right: 0px;
            left: 0px;
            top: 35px;
            height: 35px;
            border-style: solid;
            border-width: 0px 0px 1px 0px;
            border-color: #403e3f;
            background-color: #302e2f;
            background-position: center;
            background-repeat: repeat-y;
            overflow: hidden;
            text-align: center;
            z-index: 90;
            color: #dbdbdb;
        }

        div.customer_device:hover {
            position: fixed;
            overflow: auto;
            opacity: 1;
            height: 75%;
            width: 80%;
            border-radius: 10px;
            background-color: #504e4f;
            -webkit-transition: height 500ms ease-in-out, opacity 800ms linear, background-color 300ms;
            transition: height 500ms ease-in-out, opacity 800ms linear background-color 300ms;
        }

        div.customer_device ul {
            font-size: 21px;
            font-weight: 700;
            padding-left: 4%;
            padding-right: 2%;
            position: relative;
            list-style-type: none;
            color: #dbdbdb;
            text-align: left;
        }

        div.customer_device li {
            position: relative;
            list-style-type: none;
            color: #cb8460;
            text-align: left;
            padding: 0px;
            }

        div.customer_device li p {
            font-size: 21px;
            font-weight: 700;
            color: #cf987d;
            margin-top: 0px;
            padding: 0px;
            }

            div.customer_device a {
                text-decoration: none;
                color: #dbdbdb;
                border-style: solid;
                border-width: 0px 0px 0px 0px;
            }

            div.customer_device a:hover {
                border-color: rgb(0, 157, 255);
                border-width: 0px 0px 0px 4px;
                -webkit-transition: border-width 200ms;
                transition: border-width 200ms;
                }

        div.customer_footer {
            display: none;
            visibility: hidden;
            height: 0px;
            text-align: left;
            animation-name: intro_mobile;
            animation-iteration-count: 1;
            animation-delay: 300ms;
            animation-duration: 30s;
            font-size: 20px;
        }

            div.customer_footer p {
                text-align: left;
            }

        div.customer_intromobile {
            margin: 1%;
            height: 100%;
            color: white;
            opacity: 0.8;
            font-size: 20px;
            font-weight: 300;
            align-content: center;
            word-spacing: 0.1em;
            text-transform: uppercase;
            }
            div.customer_intromobile img {
            width: 90%;
            padding-top: 1%;
            padding-bottom: 1%;
            text-align: center;
            }
            div.customer_intromobile p {
                font-size: 18px;
                color:darksalmon;
                text-align: center;
            }            
            div.customer_intromobile span {
                text-align: center;
                font-size: 18px;
                color:white;
            }
    

        @keyframes intro_mobile {
            0% {
                height: 80px;
            }

            100% {
                height: 0px;
            }
        }

        @-webkit-keyframes intro_mobile {
            0% {
                height: 80px;
            }

            100% {
                height: 0px;
            }
        }

        @-moz-keyframes intro_mobile {
            0% {
                height: 80px;
            }

            100% {
                height: 0px;
            }
        }

        @-ms-keyframes intro_mobile {
            0% {
                height: 80px;
            }

            100% {
                height: 0px;
            }
        }
    }

    /* Keyframes Footer - Intro Desktop */

    @keyframes intro {
        0% {
            height: 70px;
        }

        20% {
            height: 300px;
        }

        70% {
            height: 300px;
        }

        100% {
            height: 70px;
        }
    }

    @-webkit-keyframes intro {
        0% {
            height: 70px;
        }

        20% {
            height: 300px;
        }

        70% {
            height: 300px;
        }

        100% {
            height: 70px;
        }
    }

    @-moz-keyframes intro {
        0% {
            height: 70px;
        }

        20% {
            height: 300px;
        }

        70% {
            height: 300px;
        }

        100% {
            height: 70px;
        }
    }

    @-ms-keyframes intro {
        0% {
            height: 70px;
        }

        20% {
            height: 300px;
        }

        70% {
            height: 300px;
        }

        100% {
            height: 70px;
        }
    }

    /* Keyframes Footer - Animate */

    @-webkit-keyframes animate {
        from {
            background-position: 0 0;
        }

        to {
            background-position: 500px 0;
        }
    }

    @-moz-keyframes animate {
        from {
            background-position: 0 0;
        }

        to {
            background-position: 500px 0;
        }
    }

    @-ms-keyframes animate {
        from {
            background-position: 0 0;
        }

        to {
            background-position: 500px 0;
        }
    }

    @-o-keyframes animate {
        from {
            background-position: 0 0;
        }

        to {
            background-position: 500px 0;
        }
    }

    @keyframes animate {
        from {
            background-position: 0 0;
        }

        to {
            background-position: 500px 0;
        }
    }